export enum EnterpriseConfigureType {
  /**
   * 银行信息配置
   */
  Bank = 1,
  /**
   * 电子签配置
   */
  Electronic = 2,
  /**
   * 短信通道配置
   */
  ShortMessage = 3,
}

export const EnterpriseConfigureTypeText = {
  [EnterpriseConfigureType.Bank]: '银行信息配置',
  [EnterpriseConfigureType.Electronic]: '电子签配置',
  [EnterpriseConfigureType.ShortMessage]: '短信通道配置',
};

export enum FlexEnterpriseSettingStatus {
  /**
   * 未配置
   */
  NotSetting = -10,
  /**
   * 已配置
   */
  IsSetting = 10,
}

export const FlexEnterpriseSettingStatusText = {
  [FlexEnterpriseSettingStatus.NotSetting]: '未配置',
  [FlexEnterpriseSettingStatus.IsSetting]: '已配置',
};

export enum FlexEnterpriseStatus {
  /**
   * 冻结
   */
  Frozen = -10,
  /**
   * 正常
   */
  Normal = 10,
}

export const FlexEnterpriseStatusText = {
  [FlexEnterpriseStatus.Frozen]: '冻结',
  [FlexEnterpriseStatus.Normal]: '正常',
};

export enum VerifyStatus {
  /**
   * 未验证
   */
  NotVerify = -10,
  /**
   * 已验证
   */
  Verify = 10,
}

export const VerifyStatusText = {
  [VerifyStatus.NotVerify]: '未验证',
  [VerifyStatus.Verify]: '已验证',
};
export const VerifyStatusColor = {
  [VerifyStatus.NotVerify]: 'danger',
  [VerifyStatus.Verify]: 'success',
};

export enum FlexEnterpriseCertificationStatus {
  /**
   * 未认证
   */
  NotCertification = -10,
  /**
   * 已认证
   */
  HasCertification = 10,
}

export const FlexEnterpriseCertificationStatusText = {
  [FlexEnterpriseCertificationStatus.NotCertification]: '未认证',
  [FlexEnterpriseCertificationStatus.HasCertification]: '已认证',
};

export enum MessageChannelEnum {
  /**
   * 阿里云
   */
  Alipay = 10,
  /**
   * 网易
   */
  NetEasy = 20,
}

export const MessageChannelEnumText = {
  [MessageChannelEnum.Alipay]: '阿里云',
  [MessageChannelEnum.NetEasy]: '网易',
};

export enum SignChannelEnum {
  /**
   * 上上签
   */
  BestSign = 10,
  /**
   * 支付宝电子签
   */
  Alipay = 20,
}

export const SignChannelEnumText = {
  [SignChannelEnum.BestSign]: '上上签',
  [SignChannelEnum.Alipay]: '支付宝电子签',
};

export enum ChargeTypeEnum {
  /**
   * 组合计费
   */
  Group = 1,
  /**
   * 一口价
   */
  Merge,
}

export const ChargeTypeEnumText = {
  [ChargeTypeEnum.Group]: '组合计费',
  [ChargeTypeEnum.Merge]: '一口价',
};
